Bug 78678 - update port: x11-wm/blackbox 0.65.0 -> 0.70.0
Summary: update port: x11-wm/blackbox 0.65.0 -> 0.70.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Florent Thoumie
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-03-10 19:00 UTC by Danny Koenig
Modified: 2005-03-11 19:25 UTC (History)
0 users

See Also:


Attachments
file.diff (533 bytes, patch)
2005-03-10 19:00 UTC, Danny Koenig
no flags Details | Diff
file.diff (382 bytes, patch)
2005-03-10 19:00 UTC, Danny Koenig
no flags Details | Diff
file.diff (705 bytes, patch)
2005-03-10 19:00 UTC, Danny Koenig
no flags Details | Diff
file.diff (903 bytes, patch)
2005-03-10 19:00 UTC, Danny Koenig
no flags Details | Diff
file.diff (487 bytes, patch)
2005-03-10 19:00 UTC, Danny Koenig
no flags Details | Diff
file.diff (552 bytes, patch)
2005-03-10 19:00 UTC, Danny Koenig
no flags Details | Diff
file.diff (3.75 KB, patch)
2005-03-10 19:00 UTC, Danny Koenig
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Danny Koenig 2005-03-10 19:00:10 UTC
Update port: x11-wm/blackbox from 0.65.0 to 0.70.0

The Changes are listed here: http://cvs.sourceforge.net/viewcvs.py/blackboxwm/blackbox/ChangeLog?rev=HEAD

Patches to remove in x11-wm/blackbox/files:
- patch-src::Screen.cc
- patch-src::Timer.hh
- patch-src::Window.cc

Patch to add in x11-wm/blackbox/files:
- patch-lib::Image.cc

PLIST updated.
Comment 1 Florent Thoumie freebsd_committer 2005-03-10 19:02:20 UTC
Responsible Changed
From-To: freebsd-ports-bugs->flz

Grab.
Comment 2 Michael Johnson freebsd_committer 2005-03-10 19:13:57 UTC
State Changed
From-To: open->feedback

Does not build on 4.x 

Had to add USE_ICONV to get this far. 

/usr/include/g++/stl_algo.h:193:   instantiated from `find<_List_iterator<StackEntity *,StackEntity *&,StackEntity **>, const BlackboxWindow *>(_List_iterator<StackEntity *,StackEntity *&,StackEntity **>, _List_iterator<StackEntity *,StackEntity *&,StackEntity **>, const BlackboxWindow *const &)' 
Screen.cc:743:   instantiated from here 
/usr/include/g++/stl_algo.h:94: comparison of distinct pointer types `StackEntity *' and `const BlackboxWindow *const' lacks a cast 
Screen.cc: In function `void lowerGroup(StackingList &, BWindowGroup *)': 
Screen.cc:1017: warning: unused variable `const struct _List_iterator<StackEntity *,StackEntity *&,StackEntity **> begin' 
Screen.cc: In function `void lowerTransients(_List_iterator<StackEntity *,StackEntity *&,StackEntity **>, StackingList &, list<BlackboxWindow *,allocator<BlackboxWindow *> > &)': 
Screen.cc:1073: warning: unused variable `struct _List_iterator<StackEntity *,StackEntity *&,StackEntity **> l' 
*** Error code 1 

Stop in /tmp/a/ports/x11-wm/blackbox/work/blackbox-0.70.0/src. 
*** Error code 1 

Stop in /tmp/a/ports/x11-wm/blackbox/work/blackbox-0.70.0. 
*** Error code 1 

Stop in /tmp/a/ports/x11-wm/blackbox/work/blackbox-0.70.0. 
*** Error code 1 

Stop in /a/ports/x11-wm/blackbox. 
================================================================
Comment 3 Florent Thoumie freebsd_committer 2005-03-11 13:25:00 UTC
Danny Koenig wrote:
> On Thu, 10 Mar 2005 14:33:04 -0500
> Michael Johnson <ahze@ahze.net> wrote:
> 
> 
>>Sorry, I don't think I explained this very well.
>>
>>I had to add USE_ICONV to get past the configure script
>>on 4.x and the errors I sent are errors after I had already added
>>USE_ICONV.
>>
>>Cheers, Michael
> 
> 
> Thus we can leave USE_ICONV in nirvana. I hope I got it.

	I've done some modifications to the port so it installs
	some files at the good place, but it still breaks on 4.x.

	Are you planning to fix this or should I mark it BROKEN ?
Comment 4 Florent Thoumie freebsd_committer 2005-03-11 19:25:31 UTC
State Changed
From-To: feedback->closed

Committed with some modifications, thanks !